{
  "ConnectionStrings": {
    "ConnectionString": "Data Source=C:/Program Files/DS.Hardware.Monitor/database.db;"
  },
  "ApplicationConfiguration": {
    "ScanInterval": "00:00:05.000",
    "Sensors": [
      {
        "Name": "CPU",
        "Identifier": "/intelcpu/0/load/0"
      },
      {
        "Name": "CPU Temperature",
        "Identifier": "/intelcpu/0/temperature/14"
      },
      {
        "Name": "CPU Power",
        "Identifier": "/intelcpu/0/power/0"
      },
      {
        "Name": "Memory",
        "Identifier": "/ram/load/0"
      },
      {
        "Name": "GPU",
        "Identifier": "/gpu-nvidia/0/load/0"
      },
      {
        "Name": "GPU Temperature",
        "Identifier": "/gpu-nvidia/0/temperature/0"
      },
      {
        "Name": "GPU Power",
        "Identifier": "/gpu-nvidia/0/load/4",
        "Unit": "W"
      },
      {
        "Name": "GPU Memory",
        "Identifier": "/gpu-nvidia/0/load/1"
      }
    ]
  },
  "Kestrel": {
    "Endpoints": {
      "Http": {
        "Url": "http://0.0.0.0:4444"
      }
    }
  },
  "Serilog": {
    "MinimumLevel": {
      "Default": "Information",
      "Override": {
        "Microsoft": "Warning",
        "Microsoft.Hosting.Lifetime": "Information"
      }
    },
    "WriteTo": [
      {
        "Name": "Console",
        "Args": {
          "outputTemplate": "[{Timestamp:HH:mm:ss} {Level:u3}] {Message:lj} {NewLine}{Exception}"
        }
      },
      {
        "Name": "File",
        "Args": {
          "path": "C:/Program Files/DS.Hardware.Monitor/logs/log-.txt",
          "rollingInterval": "Day",
          "retainedFileCountLimit": 30
        }
      }
    ]
  }
}